# os2.cpp File Reference

OS2 related OS support. More...

`#include "stdafx.h"`
`#include "openttd.h"`
`#include "variables.h"`
`#include "gui.h"`
`#include "fileio_func.h"`
`#include "fios.h"`
`#include "functions.h"`
`#include "core/random_func.hpp"`
`#include "string_func.h"`
`#include "textbuf_gui.h"`
`#include "table/strings.h"`
`#include <dirent.h>`
`#include <unistd.h>`
`#include <sys/stat.h>`
`#include <stdlib.h>`
`#include <time.h>`
`#include <dos.h>`
`#include <os2.h>`
`#include <i86.h>`

Go to the source code of this file.

## Functions
bool | FiosIsRoot (const char *file)
void | FiosGetDrives ()
bool | FiosGetDiskFreeSpace (const char *path, uint64 *tot)
bool | FiosIsValidFile (const char *path, const struct dirent *ent, struct stat *sb)
bool | FiosIsHiddenFile (const struct dirent *ent)
void | ShowInfo (const char *str)
void | ShowOSErrorBox (const char *buf, bool system)
int CDECL | main (int argc, char *argv[])
bool | InsertTextBufferClipboard (Textbuf *tb)
| Insert a chunk of text from the clipboard onto the textbuffer.
void | CSleep (int milliseconds)
const char * | FS2OTTD (const char *name)
const char * | OTTD2FS (const char *name)

## Detailed Description

OS2 related OS support.

Definition in file os2.cpp.

## Function Documentation

bool InsertTextBufferClipboard | ( | Textbuf * | tb | ) |

Insert a chunk of text from the clipboard onto the textbuffer.

Get TEXT clipboard and append this up to the maximum length (either absolute or screenlength). If maxlength is zero, we don't care about the screenlength but only about the physical length of the string

Parameters:

  | tb | Textbuf type to be changed

Returns:
  Return true on successful change of Textbuf, or false otherwise

Definition at line 179 of file os2.cpp.